Bug 1765485 - [Ceph-Dashboard] Alerts: The URL for active alert launches with short hostname and fails to connect to server
Summary: [Ceph-Dashboard] Alerts: The URL for active alert launches with short hostnam...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 4.0
Assignee: Guillaume Abrioux
QA Contact: Madhavi Kasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-25 08:54 UTC by Madhavi Kasturi
Modified: 2020-01-31 12:48 UTC (History)
8 users (show)

Fixed In Version: ceph-ansible-4.0.7-1.el8cp, ceph-ansible-4.0.7-1.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:47:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot -Server not found (85.14 KB, image/jpeg)
2019-12-02 13:10 UTC, Madhavi Kasturi
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 42927 0 None None None 2019-11-21 12:28:35 UTC
Github ceph ceph-ansible pull 4799 0 'None' closed dashboard: use fqdn url for active alert 2020-05-12 15:00:01 UTC
Github ceph ceph-ansible pull 4878 0 None closed dashboard: use fqdn in external url 2020-05-12 15:00:05 UTC
Github prometheus prometheus pull 717 0 'None' closed allow to override the default os.Hostname() when creating PrometheusURLs 2020-05-12 15:00:02 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:48:16 UTC

Comment 1 Ernesto Puerta 2019-11-21 12:28:35 UTC
@Madhavi, this seems a Prometheus issue, as that URL comes from Prometheus itself as 'generatorURL' data. Fortunately it has been fixed in that project (https://github.com/prometheus/prometheus/pull/717), but for it to work, we would need Ceph-Ansible to set Prometheus config 'web.hostname' to its FQDN.

I'll move this to Ceph-Ansible component. I think this shouldn't be high severity, as there exists a workaround (manually appending the missing FQDN parts) and the alerts themselves are configured in Prometheus, so users will mostly come from Prometheus to Dashboard rather than the opposite.

Comment 4 Madhavi Kasturi 2019-12-02 13:10:39 UTC
Created attachment 1641379 [details]
Screenshot -Server not found

Comment 20 errata-xmlrpc 2020-01-31 12:47:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.